View Issue Details

IDProjectCategoryView StatusLast Update
0021939LazarusIDEpublic2012-05-06 11:08
ReporterIhor Lavrynyuk Assigned ToMartin Friebe  
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformWindowsOSWindows 
Product Version1.1 (SVN) 
Target Version1.0.0 
Summary0021939: Access violation
Descriptionshow message Access violation if close in source editor unit
http://www.youtube.com/watch?v=EL6cKK9PvLE - view error
Tags1.1, access violation, source editor
Fixed in Revision37195
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Activities

Ihor Lavrynyuk

2012-05-04 18:50

reporter   ~0059239

if click right mouse button

Martin Friebe

2012-05-04 20:42

manager   ~0059241

Please recompile IDE, via menu "Tools" > "Configure Build Lazarus", and add -g to the options before rebuilding

Then either:

Start lazarus with (can be added in properties of desktop shortcut)
 --debug-log=c:\log.txt
and attach the log

Or run Lazarus in the debugger:
- Open ide/lazarus.lpr as project in Lazarus, and hit F9
- On Crash, open the "Call Stack" window, and copy the content

Ihor Lavrynyuk

2012-05-05 06:22

reporter   ~0059244

ok, thank for additional info about debug, henceforth I run lazarus with debug mode and always recompile with -g for reports to bug tracker.
I have this error only one time, after restart IDE error disappeared

2012-05-05 09:54

 

log.txt (60,632 bytes)   
1
TMainIDE.ParseCmdLineOptions:
  PrimaryConfigPath="C:\Users\root\AppData\Local\lazarus"
  SecondaryConfigPath="C:\lazarus"
TIDEEasyDockMaster.MakeIDEWindowDockSite BEFORE MainIDE:TMainIDEBar l=0,t=0,r=320,b=240
TIDEEasyDockMaster.MakeIDEWindowDockSite Creator MainIDE:TMainIDEBar l=0,t=0,r=1277,b=90
AddElastic BEFORE MainIDE l=0,t=0,r=1277,b=81
AddElastic added  MainIDE l=0,t=0,r=1277,b=81
AddElastic AFTER  MainIDE l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.MakeIDEWindowDockSite AFTER MainIDE:TMainIDEBar l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.LoadDefaultLayout C:\Users\root\AppData\Local\lazarus\easydocklayout.lyt exists=True
--- Reload site 
Bounds=x(76-372) y(112-783)
Extent=x(0-0) y(0-0)
reload  @1 [296,671]
reload ObjectInspectorDlg @2 [296,671]
TIDEEasyDockMaster.DockMasterRestore CtrlName="ObjectInspectorDlg"
TIDEEasyDockMaster.DockMasterRestore Result=ObjectInspectorDlg:TObjectInspectorDlg
TWinControl.DoDockClientMsg FloatingSite:TFloatingSite Control=ObjectInspectorDlg:TObjectInspectorDlg DestRect=l=292,t=175,r=567,b=844
?NewCtl w=286=296 h=671=671
!NewCtl w=286=296 h=671=671
reload done
--- Reload site 
Bounds=x(279-1217) y(171-842)
Extent=x(0-0) y(0-0)
reload  @1 [938,671]
reload SourceNotebook @2 [938,671]
TIDEEasyDockMaster.DockMasterRestore CtrlName="SourceNotebook"
TIDEEasyDockMaster.DockMasterRestore Result=SourceNotebook:TSourceNotebook
TWinControl.DoDockClientMsg FloatingSite_1:TFloatingSite Control=SourceNotebook:TSourceNotebook DestRect=l=533,t=374,r=933,b=674
?NewCtl w=928=938 h=671=671
!NewCtl w=928=938 h=671=671
reload done
--- Reload site 
Bounds=x(100-1185) y(872-972)
Extent=x(0-0) y(0-0)
reload  @1 [1085,100]
reload MessagesView @2 [1085,100]
TIDEEasyDockMaster.DockMasterRestore CtrlName="MessagesView"
TIDEEasyDockMaster.DockMasterRestore Result=MessagesView:TMessagesView
TWinControl.DoDockClientMsg FloatingSite_2:TFloatingSite Control=MessagesView:TMessagesView DestRect=l=284,t=640,r=1006,b=719
?NewCtl w=1075=1085 h=100=100
!NewCtl w=1075=1085 h=100=100
reload done
reload site done
TIDEEasyDockMaster.ShowForm MainIDE:TMainIDEBar BringToFront=False IsDockSite=True IsDockable=False
TIDEEasyDockMaster.ShowForm END Parent l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.ShowForm END MainIDE:TMainIDEBar l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TMainIDE.DoLoadLFM Creating designer for hidden component of D:\AProjects\Lazarus\ss\main.pas
TMainIDE.DoOpenProjectFile select form in designer: FrmMain:TFrmMain TDesigner
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=False IsDockSite=False IsDockable=True
TToolButton.MouseDown RunSpeedButton:TToolButton
[TMainIDE.DoRunProject] A
TMainIDE.DoInitProjectRun A True 0
TMainIDE.DoInitProjectRun B
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=False IsDockSite=False IsDockable=True
TMainIDE.DoInitProjectRun ProgramFilename=D:\AProjects\Lazarus\ss\ss.exe
[TDebugger.SetFileName] "D:\AProjects\Lazarus\ss\ss.exe"
[TMainIDE.DoRunProject] B TProcessDebugger
[TMainIDE.DoRunProject] END
PR: D:\AProjects\Lazarus\ss\ss.exe 
[TDebugger.SetFileName] ""
TBuildManager.SetBuildTargetIDE OS=Win32 CPU=i386 WS=win32
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Project Options
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectApplicationOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Compiler Options
TIDEOptionsDialog.CategoryTreeChange: Editor=CompilerPathOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Linking
TIDEOptionsDialog.CategoryTreeChange: Editor=CompilerLinkingOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Code Generation
TIDEOptionsDialog.CategoryTreeChange: Editor=CompilerCodegenOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Linking
TIDEOptionsDialog.CategoryTreeChange: Editor=CompilerLinkingOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Verbosity
TIDEOptionsDialog.CategoryTreeChange: Editor=CompilerVerbosityOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Messages
TIDEOptionsDialog.CategoryTreeChange: Editor=CompilerMessagesOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Other
TIDEOptionsDialog.CategoryTreeChange: Editor=CompilerOtherOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=IDE Macros
TIDEOptionsDialog.CategoryTreeChange: Editor=CompOptBuildMacrosFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Inherited
TIDEOptionsDialog.CategoryTreeChange: Editor=CompilerInheritedOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Build Modes
TIDEOptionsDialog.CategoryTreeChange: Editor=BuildModesEditorFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Paths
TIDEOptionsDialog.CategoryTreeChange: Editor=CompilerPathOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Compiler Options
TIDEOptionsDialog.CategoryTreeChange: Editor=CompilerPathOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Miscellaneous
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectMiscOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=i18n
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectI18NOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Version Info
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectVersionInfoOptionsFrame
TProjectVersionStringTable.Equals differ Key=ProductName my= other=ss
TProjectVersionStringTable.Equals differ Key=ProductName my= other=ss
TToolButton.MouseDown SaveAllSpeedBtn:TToolButton
TSourceEditCompletion.ccExecute nil
TToolButton.MouseDown RunSpeedButton:TToolButton
[TMainIDE.DoRunProject] A
TMainIDE.DoInitProjectRun A True 0
TMainIDE.DoInitProjectRun B
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=False IsDockSite=False IsDockable=True
TBuildManager.CheckIfProjectNeedsCompilation  Compiler params changed for Project
  Old=" -MObjFPC -Scghi -O1 -WG -vewnhi -l -FiD:\AProjects\Lazarus\ss\lib\i386-win32 -FuC:\lazarus\components\sqldb\lib\i386-win32\win32 -FuD:\AProjects\Lazarus\lib\zeos\ZEOSLIB_REV943\packages\lazarus\lib\i386-win32 -FuC:\lazarus\components\codetools\ide\lib\i386-win32\win32 -FuC:\lazarus\components\codetools\units\i386-win32 -FuC:\lazarus\components\lazcontrols\lib\i386-win32\win32 -FuC:\lazarus\components\lazreport\source\lib\i386-win32 -FuC:\lazarus\components\printers\lib\i386-win32\win32 -FuC:\lazarus\components\synedit\units\i386-win32\win32 -FuC:\lazarus\ideintf\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32 -FuC:\lazarus\components\lazutils\lib\i386-win32 -FuC:\lazarus\packager\units\i386-win32 -FuD:\AProjects\Lazarus\ss\ -FUD:\AProjects\Lazarus\ss\lib\i386-win32\ -dLCL -dLCLwin32 ss.lpr"
  Now=" -MObjFPC -Scghi -O1 -Op386 -Pi386 -WG -vewnhi -l -FiD:\AProjects\Lazarus\ss\lib\i386-win32 -FuC:\lazarus\components\sqldb\lib\i386-win32\win32 -FuD:\AProjects\Lazarus\lib\zeos\ZEOSLIB_REV943\packages\lazarus\lib\i386-win32 -FuC:\lazarus\components\codetools\ide\lib\i386-win32\win32 -FuC:\lazarus\components\codetools\units\i386-win32 -FuC:\lazarus\components\lazcontrols\lib\i386-win32\win32 -FuC:\lazarus\components\lazreport\source\lib\i386-win32 -FuC:\lazarus\components\printers\lib\i386-win32\win32 -FuC:\lazarus\components\synedit\units\i386-win32\win32 -FuC:\lazarus\ideintf\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32 -FuC:\lazarus\components\lazutils\lib\i386-win32 -FuC:\lazarus\packager\units\i386-win32 -FuD:\AProjects\Lazarus\ss\ -FUD:\AProjects\Lazarus\ss\lib\i386-win32\ -dLCL -dLCLwin32 ss.lpr"
TCompiler.Compile WorkingDir="D:\AProjects\Lazarus\ss\" CompilerFilename="C:\lazarus\fpc\2.6.1\bin\i386-win32\fpc.exe" CompilerParams=" -MObjFPC -Scghi -O1 -Op386 -Pi386 -WG -vewnhi -l -FiD:\AProjects\Lazarus\ss\lib\i386-win32 -FuC:\lazarus\components\sqldb\lib\i386-win32\win32 -FuD:\AProjects\Lazarus\lib\zeos\ZEOSLIB_REV943\packages\lazarus\lib\i386-win32 -FuC:\lazarus\components\codetools\ide\lib\i386-win32\win32 -FuC:\lazarus\components\codetools\units\i386-win32 -FuC:\lazarus\components\lazcontrols\lib\i386-win32\win32 -FuC:\lazarus\components\lazreport\source\lib\i386-win32 -FuC:\lazarus\components\printers\lib\i386-win32\win32 -FuC:\lazarus\components\synedit\units\i386-win32\win32 -FuC:\lazarus\ideintf\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32 -FuC:\lazarus\components\lazutils\lib\i386-win32 -FuC:\lazarus\packager\units\i386-win32 -FuD:\AProjects\Lazarus\ss\ -FUD:\AProjects\Lazarus\ss\lib\i386-win32\ -dLCL -dLCLwin32 ss.lpr"
[TCompiler.Compile] CmdLine="C:\lazarus\fpc\2.6.1\bin\i386-win32\fpc.exe -B  -MObjFPC -Scghi -O1 -Op386 -Pi386 -WG -vewnhi -l -FiD:\AProjects\Lazarus\ss\lib\i386-win32 -FuC:\lazarus\components\sqldb\lib\i386-win32\win32 -FuD:\AProjects\Lazarus\lib\zeos\ZEOSLIB_REV943\packages\lazarus\lib\i386-win32 -FuC:\lazarus\components\codetools\ide\lib\i386-win32\win32 -FuC:\lazarus\components\codetools\units\i386-win32 -FuC:\lazarus\components\lazcontrols\lib\i386-win32\win32 -FuC:\lazarus\components\lazreport\source\lib\i386-win32 -FuC:\lazarus\components\printers\lib\i386-win32\win32 -FuC:\lazarus\components\synedit\units\i386-win32\win32 -FuC:\lazarus\ideintf\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32 -FuC:\lazarus\components\lazutils\lib\i386-win32 -FuC:\lazarus\packager\units\i386-win32 -FuD:\AProjects\Lazarus\ss\ -FUD:\AProjects\Lazarus\ss\lib\i386-win32\ -dLCL -dLCLwin32 ss.lpr"
Hint: Start of reading config file C:\lazarus\fpc\2.6.1\bin\i386-win32\fpc.cfg
Hint: End of reading config file C:\lazarus\fpc\2.6.1\bin\i386-win32\fpc.cfg
Error: Illegal parameter: -Op386
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Version Info
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectVersionInfoOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Session
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectSaveOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=FPDoc Editor
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectFPDocOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Version Info
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectVersionInfoOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Session
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectSaveOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=FPDoc Editor
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectFPDocOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Forms
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectFormsOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Application
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectApplicationOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Forms
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectFormsOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Application
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectApplicationOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Project Options
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectApplicationOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Application
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectApplicationOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Forms
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectFormsOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Session
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectSaveOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=FPDoc Editor
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectFPDocOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Version Info
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectVersionInfoOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=i18n
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectI18NOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Miscellaneous
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectMiscOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Compiler Options
TIDEOptionsDialog.CategoryTreeChange: Editor=CompilerPathOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Paths
TIDEOptionsDialog.CategoryTreeChange: Editor=CompilerPathOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Build Modes
TIDEOptionsDialog.CategoryTreeChange: Editor=BuildModesEditorFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Parsing
TIDEOptionsDialog.CategoryTreeChange: Editor=CompilerParsingOptionsFrame
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Code Generation
TIDEOptionsDialog.CategoryTreeChange: Editor=CompilerCodegenOptionsFrame
TToolButton.MouseDown SaveAllSpeedBtn:TToolButton
TToolButton.MouseDown RunSpeedButton:TToolButton
[TMainIDE.DoRunProject] A
TMainIDE.DoInitProjectRun A True 0
TMainIDE.DoInitProjectRun B
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=False IsDockSite=False IsDockable=True
TBuildManager.CheckIfProjectNeedsCompilation  Compiler params changed for Project
  Old=" -MObjFPC -Scghi -O1 -Op386 -Pi386 -WG -vewnhi -l -FiD:\AProjects\Lazarus\ss\lib\i386-win32 -FuC:\lazarus\components\sqldb\lib\i386-win32\win32 -FuD:\AProjects\Lazarus\lib\zeos\ZEOSLIB_REV943\packages\lazarus\lib\i386-win32 -FuC:\lazarus\components\codetools\ide\lib\i386-win32\win32 -FuC:\lazarus\components\codetools\units\i386-win32 -FuC:\lazarus\components\lazcontrols\lib\i386-win32\win32 -FuC:\lazarus\components\lazreport\source\lib\i386-win32 -FuC:\lazarus\components\printers\lib\i386-win32\win32 -FuC:\lazarus\components\synedit\units\i386-win32\win32 -FuC:\lazarus\ideintf\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32 -FuC:\lazarus\components\lazutils\lib\i386-win32 -FuC:\lazarus\packager\units\i386-win32 -FuD:\AProjects\Lazarus\ss\ -FUD:\AProjects\Lazarus\ss\lib\i386-win32\ -dLCL -dLCLwin32 ss.lpr"
  Now=" -MObjFPC -Scghi -O1 -Pi386 -WG -vewnhi -l -FiD:\AProjects\Lazarus\ss\lib\i386-win32 -FuC:\lazarus\components\sqldb\lib\i386-win32\win32 -FuD:\AProjects\Lazarus\lib\zeos\ZEOSLIB_REV943\packages\lazarus\lib\i386-win32 -FuC:\lazarus\components\codetools\ide\lib\i386-win32\win32 -FuC:\lazarus\components\codetools\units\i386-win32 -FuC:\lazarus\components\lazcontrols\lib\i386-win32\win32 -FuC:\lazarus\components\lazreport\source\lib\i386-win32 -FuC:\lazarus\components\printers\lib\i386-win32\win32 -FuC:\lazarus\components\synedit\units\i386-win32\win32 -FuC:\lazarus\ideintf\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32 -FuC:\lazarus\components\lazutils\lib\i386-win32 -FuC:\lazarus\packager\units\i386-win32 -FuD:\AProjects\Lazarus\ss\ -FUD:\AProjects\Lazarus\ss\lib\i386-win32\ -dLCL -dLCLwin32 ss.lpr"
TCompiler.Compile WorkingDir="D:\AProjects\Lazarus\ss\" CompilerFilename="C:\lazarus\fpc\2.6.1\bin\i386-win32\fpc.exe" CompilerParams=" -MObjFPC -Scghi -O1 -Pi386 -WG -vewnhi -l -FiD:\AProjects\Lazarus\ss\lib\i386-win32 -FuC:\lazarus\components\sqldb\lib\i386-win32\win32 -FuD:\AProjects\Lazarus\lib\zeos\ZEOSLIB_REV943\packages\lazarus\lib\i386-win32 -FuC:\lazarus\components\codetools\ide\lib\i386-win32\win32 -FuC:\lazarus\components\codetools\units\i386-win32 -FuC:\lazarus\components\lazcontrols\lib\i386-win32\win32 -FuC:\lazarus\components\lazreport\source\lib\i386-win32 -FuC:\lazarus\components\printers\lib\i386-win32\win32 -FuC:\lazarus\components\synedit\units\i386-win32\win32 -FuC:\lazarus\ideintf\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32 -FuC:\lazarus\components\lazutils\lib\i386-win32 -FuC:\lazarus\packager\units\i386-win32 -FuD:\AProjects\Lazarus\ss\ -FUD:\AProjects\Lazarus\ss\lib\i386-win32\ -dLCL -dLCLwin32 ss.lpr"
[TCompiler.Compile] CmdLine="C:\lazarus\fpc\2.6.1\bin\i386-win32\fpc.exe -B  -MObjFPC -Scghi -O1 -Pi386 -WG -vewnhi -l -FiD:\AProjects\Lazarus\ss\lib\i386-win32 -FuC:\lazarus\components\sqldb\lib\i386-win32\win32 -FuD:\AProjects\Lazarus\lib\zeos\ZEOSLIB_REV943\packages\lazarus\lib\i386-win32 -FuC:\lazarus\components\codetools\ide\lib\i386-win32\win32 -FuC:\lazarus\components\codetools\units\i386-win32 -FuC:\lazarus\components\lazcontrols\lib\i386-win32\win32 -FuC:\lazarus\components\lazreport\source\lib\i386-win32 -FuC:\lazarus\components\printers\lib\i386-win32\win32 -FuC:\lazarus\components\synedit\units\i386-win32\win32 -FuC:\lazarus\ideintf\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32 -FuC:\lazarus\components\lazutils\lib\i386-win32 -FuC:\lazarus\packager\units\i386-win32 -FuD:\AProjects\Lazarus\ss\ -FUD:\AProjects\Lazarus\ss\lib\i386-win32\ -dLCL -dLCLwin32 ss.lpr"
Hint: Start of reading config file C:\lazarus\fpc\2.6.1\bin\i386-win32\fpc.cfg
Hint: End of reading config file C:\lazarus\fpc\2.6.1\bin\i386-win32\fpc.cfg
Free Pascal Compiler version 2.6.1 [2012/04/12] for i386
Copyright (c) 1993-2011 by Florian Klaempfl and others
Target OS: Win32 for i386
Compiling ss.lpr
Compiling main.pas
Compiling tests.pas
tests.pas(19,28) Hint: Parameter "Sender" not used
tests.pas(20,28) Hint: Parameter "Sender" not used
Compiling supply.pas
Compiling trade.pas
trade.pas(31,10) Hint: Unit "main" not used in trade
Compiling storehouses.pas
Compiling nomenclatureselect.pas
Compiling nomenclaturecreateedit.pas
Compiling nomenclature.pas
Compiling nomenclaturecreateeditgroup.pas
nomenclaturecreateeditgroup.pas(25,28) Hint: Parameter "Sender" not used
nomenclaturecreateeditgroup.pas(23,30) Hint: Parameter "Sender" not used
nomenclaturecreateeditgroup.pas(24,35) Hint: Parameter "Sender" not used
nomenclaturecreateeditgroup.pas(26,30) Hint: Parameter "Sender" not used
nomenclaturecreateeditgroup.pas(26,51) Hint: Parameter "CanClose" not used
nomenclature.pas(28,30) Hint: Parameter "Sender" not used
nomenclature.pas(27,32) Hint: Parameter "Sender" not used
nomenclature.pas(26,28) Hint: Parameter "Sender" not used
nomenclature.pas(29,39) Hint: Parameter "Sender" not used
nomenclature.pas(30,45) Hint: Parameter "Sender" not used
nomenclature.pas(31,7) Hint: Parameter "DataCol" not used
nomenclature.pas(31,42) Hint: Parameter "State" not used
nomenclature.pas(32,24) Hint: Parameter "Sender" not used
nomenclature.pas(9,66) Hint: Unit "ComCtrls" not used in nomenclature
nomenclaturecreateedit.pas(40,28) Hint: Parameter "Sender" not used
nomenclaturecreateedit.pas(41,28) Hint: Parameter "Sender" not used
nomenclaturecreateedit.pas(42,30) Hint: Parameter "Sender" not used
nomenclaturecreateedit.pas(42,51) Hint: Parameter "CanClose" not used
nomenclatureselect.pas(31,30) Hint: Parameter "Sender" not used
nomenclatureselect.pas(32,39) Hint: Parameter "Sender" not used
nomenclatureselect.pas(33,45) Hint: Parameter "Sender" not used
nomenclatureselect.pas(34,7) Hint: Parameter "DataCol" not used
nomenclatureselect.pas(34,42) Hint: Parameter "State" not used
nomenclatureselect.pas(35,26) Hint: Parameter "Sender" not used
nomenclatureselect.pas(36,24) Hint: Parameter "Sender" not used
nomenclatureselect.pas(30,32) Hint: Parameter "Sender" not used
nomenclatureselect.pas(28,28) Hint: Parameter "Sender" not used
nomenclatureselect.pas(29,28) Hint: Parameter "Sender" not used
storehouses.pas(36,39) Hint: Parameter "Sender" not used
storehouses.pas(37,39) Hint: Parameter "Sender" not used
storehouses.pas(37,56) Hint: Parameter "aCol" not used
storehouses.pas(37,62) Hint: Parameter "aRow" not used
storehouses.pas(38,7) Hint: Parameter "aRect" not used
storehouses.pas(38,21) Hint: Parameter "aState" not used
storehouses.pas(40,44) Hint: Parameter "sender" not used
storehouses.pas(40,61) Hint: Parameter "aCol" not used
storehouses.pas(33,24) Hint: Parameter "Sender" not used
storehouses.pas(32,39) Hint: Parameter "Column" not used
storehouses.pas(28,27) Hint: Parameter "Sender" not used
storehouses.pas(29,30) Hint: Parameter "Sender" not used
storehouses.pas(30,30) Hint: Parameter "Sender" not used
storehouses.pas(204,3) Note: Local variable "quantity" not used
storehouses.pas(31,28) Hint: Parameter "Sender" not used
Compiling returngoodstosupplierelement.pas
Compiling counterparties.pas
Compiling counterpartiescreateedit.pas
counterpartiescreateedit.pas(26,28) Hint: Parameter "Sender" not used
counterpartiescreateedit.pas(25,30) Hint: Parameter "Sender" not used
counterpartiescreateedit.pas(27,30) Hint: Parameter "Sender" not used
counterpartiescreateedit.pas(27,51) Hint: Parameter "CanClose" not used
counterpartiescreateedit.pas(42,25) Hint: Unit "counterparties" not used in counterpartiescreateedit
Compiling counterpartiescreateeditgroup.pas
counterpartiescreateeditgroup.pas(24,28) Hint: Parameter "Sender" not used
counterpartiescreateeditgroup.pas(23,30) Hint: Parameter "Sender" not used
counterpartiescreateeditgroup.pas(25,30) Hint: Parameter "Sender" not used
counterpartiescreateeditgroup.pas(25,51) Hint: Parameter "CanClose" not used
counterparties.pas(24,26) Hint: Parameter "Sender" not used
counterparties.pas(22,46) Hint: Parameter "Sender" not used
counterparties.pas(23,7) Hint: Parameter "DataCol" not used
counterparties.pas(23,42) Hint: Parameter "State" not used
counterparties.pas(21,40) Hint: Parameter "Sender" not used
counterparties.pas(20,30) Hint: Parameter "Sender" not used
counterparties.pas(19,32) Hint: Parameter "Sender" not used
Compiling cominginvoiceslist.pas
Compiling cominginvoiceelement.pas
Compiling counterpartiesselect.pas
counterpartiesselect.pas(22,30) Hint: Parameter "Sender" not used
counterpartiesselect.pas(23,40) Hint: Parameter "Sender" not used
counterpartiesselect.pas(24,46) Hint: Parameter "Sender" not used
counterpartiesselect.pas(25,26) Hint: Parameter "DataCol" not used
counterpartiesselect.pas(26,7) Hint: Parameter "State" not used
counterpartiesselect.pas(27,26) Hint: Parameter "Sender" not used
counterpartiesselect.pas(28,24) Hint: Parameter "Sender" not used
counterpartiesselect.pas(21,32) Hint: Parameter "Sender" not used
counterpartiesselect.pas(20,28) Hint: Parameter "Sender" not used
Compiling storehouseselect.pas
storehouseselect.pas(20,30) Hint: Parameter "Sender" not used
storehouseselect.pas(21,38) Hint: Parameter "Sender" not used
storehouseselect.pas(22,24) Hint: Parameter "Sender" not used
cominginvoiceelement.pas(85,3) Note: Local variable "messageText" not used
cominginvoiceelement.pas(38,39) Hint: Parameter "Sender" not used
cominginvoiceelement.pas(40,44) Hint: Parameter "sender" not used
cominginvoiceelement.pas(34,30) Hint: Parameter "Sender" not used
cominginvoiceelement.pas(36,24) Hint: Parameter "Sender" not used
cominginvoiceelement.pas(33,41) Hint: Parameter "Sender" not used
cominginvoiceelement.pas(31,33) Hint: Parameter "Sender" not used
cominginvoiceelement.pas(32,28) Hint: Parameter "Sender" not used
cominginvoiceelement.pas(30,32) Hint: Parameter "Sender" not used
cominginvoiceelement.pas(28,44) Hint: Parameter "Sender" not used
cominginvoiceelement.pas(29,30) Hint: Parameter "Sender" not used
cominginvoiceelement.pas(9,29) Hint: Unit "DBGrids" not used in cominginvoiceelement
cominginvoiceelement.pas(9,39) Hint: Unit "StdCtrls" not used in cominginvoiceelement
cominginvoiceelement.pas(9,42) Hint: Unit "db" not used in cominginvoiceelement
cominginvoiceslist.pas(21,27) Hint: Parameter "Sender" not used
cominginvoiceslist.pas(22,30) Hint: Parameter "Sender" not used
cominginvoiceslist.pas(23,28) Hint: Parameter "Sender" not used
cominginvoiceslist.pas(24,45) Hint: Parameter "Sender" not used
cominginvoiceslist.pas(25,24) Hint: Parameter "Sender" not used
Compiling outputinvoiceslist.pas
Compiling outputinvoiceselement.pas
outputinvoiceselement.pas(87,3) Note: Local variable "messageText" not used
outputinvoiceselement.pas(39,39) Hint: Parameter "Sender" not used
outputinvoiceselement.pas(41,44) Hint: Parameter "sender" not used
outputinvoiceselement.pas(36,24) Hint: Parameter "Sender" not used
outputinvoiceselement.pas(35,30) Hint: Parameter "Sender" not used
outputinvoiceselement.pas(29,44) Hint: Parameter "Sender" not used
outputinvoiceselement.pas(30,30) Hint: Parameter "Sender" not used
outputinvoiceselement.pas(31,32) Hint: Parameter "Sender" not used
outputinvoiceselement.pas(32,33) Hint: Parameter "Sender" not used
outputinvoiceselement.pas(33,28) Hint: Parameter "Sender" not used
outputinvoiceselement.pas(34,41) Hint: Parameter "Sender" not used
outputinvoiceselement.pas(9,29) Hint: Unit "DBGrids" not used in outputinvoiceselement
outputinvoiceselement.pas(9,39) Hint: Unit "StdCtrls" not used in outputinvoiceselement
outputinvoiceslist.pas(22,30) Hint: Parameter "Sender" not used
outputinvoiceslist.pas(21,27) Hint: Parameter "Sender" not used
outputinvoiceslist.pas(23,28) Hint: Parameter "Sender" not used
outputinvoiceslist.pas(24,45) Hint: Parameter "Sender" not used
outputinvoiceslist.pas(25,24) Hint: Parameter "Sender" not used
Compiling reportslist.pas
reportslist.pas(20,28) Hint: Parameter "Sender" not used
reportslist.pas(21,28) Hint: Parameter "Sender" not used
main.pas(231,28) Warning: Symbol "DecimalSeparator" is deprecated
main.pas(235,29) Warning: Symbol "DecimalSeparator" is deprecated
main.pas(236,56) Warning: Symbol "DecimalSeparator" is deprecated
main.pas(128,37) Hint: Parameter "Sender" not used
main.pas(129,31) Hint: Parameter "Sender" not used
main.pas(130,29) Hint: Parameter "Sender" not used
main.pas(124,38) Hint: Parameter "Sender" not used
main.pas(125,44) Hint: Parameter "Sender" not used
main.pas(126,32) Hint: Parameter "Sender" not used
main.pas(127,33) Hint: Parameter "Sender" not used
main.pas(120,40) Hint: Parameter "Sender" not used
main.pas(121,42) Hint: Parameter "Sender" not used
main.pas(122,42) Hint: Parameter "Sender" not used
main.pas(123,50) Hint: Parameter "Sender" not used
main.pas(119,44) Hint: Parameter "Sender" not used
main.pas(131,26) Hint: Parameter "Sender" not used
Compiling resource D:\AProjects\Lazarus\ss\lib\i386-win32\ss.or
Linking ss.exe
2729 lines compiled, 4.2 sec , 3162960 bytes code, 1069820 bytes data
3 warning(s) issued
125 hint(s) issued
3 note(s) issued
[TCompiler.Compile] end
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=True IsDockSite=False IsDockable=True
TMainIDE.DoInitProjectRun ProgramFilename=D:\AProjects\Lazarus\ss\ss.exe
[TDebugger.SetFileName] "D:\AProjects\Lazarus\ss\ss.exe"
[TMainIDE.DoRunProject] B TProcessDebugger
[TMainIDE.DoRunProject] END
PR: D:\AProjects\Lazarus\ss\ss.exe 
[TDebugger.SetFileName] ""
TToolButton.MouseDown SaveAllSpeedBtn:TToolButton
TToolButton.MouseDown RunSpeedButton:TToolButton
[TMainIDE.DoRunProject] A
TMainIDE.DoInitProjectRun A True 0
TMainIDE.DoInitProjectRun B
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=False IsDockSite=False IsDockable=True
TMainIDE.DoInitProjectRun ProgramFilename=D:\AProjects\Lazarus\ss\ss.exe
[TDebugger.SetFileName] "D:\AProjects\Lazarus\ss\ss.exe"
[TMainIDE.DoRunProject] B TProcessDebugger
[TMainIDE.DoRunProject] END
PR: D:\AProjects\Lazarus\ss\ss.exe 
[TDebugger.SetFileName] ""
TToolButton.MouseDown ViewFormsSpeedBtn:TToolButton
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TMainIDE.DoFixupComponentReferences UNRESOLVED BEFORE loading 0 Root=frmNomenclature:TfrmNomenclature RefRoot=FrmMain Refs="DSNomenclature"
TToolButton.MouseDown SaveAllSpeedBtn:TToolButton
TToolButton.MouseDown RunSpeedButton:TToolButton
[TMainIDE.DoRunProject] A
TMainIDE.DoInitProjectRun A True 0
TMainIDE.DoInitProjectRun B
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=False IsDockSite=False IsDockable=True
TMainIDE.CheckIfProjectNeedsCompilation  Src has changed Project D:\AProjects\Lazarus\ss\nomenclature.pas
TCompiler.Compile WorkingDir="D:\AProjects\Lazarus\ss\" CompilerFilename="C:\lazarus\fpc\2.6.1\bin\i386-win32\fpc.exe" CompilerParams=" -MObjFPC -Scghi -O1 -Pi386 -WG -vewnhi -l -FiD:\AProjects\Lazarus\ss\lib\i386-win32 -FuC:\lazarus\components\sqldb\lib\i386-win32\win32 -FuD:\AProjects\Lazarus\lib\zeos\ZEOSLIB_REV943\packages\lazarus\lib\i386-win32 -FuC:\lazarus\components\codetools\ide\lib\i386-win32\win32 -FuC:\lazarus\components\codetools\units\i386-win32 -FuC:\lazarus\components\lazcontrols\lib\i386-win32\win32 -FuC:\lazarus\components\lazreport\source\lib\i386-win32 -FuC:\lazarus\components\printers\lib\i386-win32\win32 -FuC:\lazarus\components\synedit\units\i386-win32\win32 -FuC:\lazarus\ideintf\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32 -FuC:\lazarus\components\lazutils\lib\i386-win32 -FuC:\lazarus\packager\units\i386-win32 -FuD:\AProjects\Lazarus\ss\ -FUD:\AProjects\Lazarus\ss\lib\i386-win32\ -dLCL -dLCLwin32 ss.lpr"
[TCompiler.Compile] CmdLine="C:\lazarus\fpc\2.6.1\bin\i386-win32\fpc.exe  -MObjFPC -Scghi -O1 -Pi386 -WG -vewnhi -l -FiD:\AProjects\Lazarus\ss\lib\i386-win32 -FuC:\lazarus\components\sqldb\lib\i386-win32\win32 -FuD:\AProjects\Lazarus\lib\zeos\ZEOSLIB_REV943\packages\lazarus\lib\i386-win32 -FuC:\lazarus\components\codetools\ide\lib\i386-win32\win32 -FuC:\lazarus\components\codetools\units\i386-win32 -FuC:\lazarus\components\lazcontrols\lib\i386-win32\win32 -FuC:\lazarus\components\lazreport\source\lib\i386-win32 -FuC:\lazarus\components\printers\lib\i386-win32\win32 -FuC:\lazarus\components\synedit\units\i386-win32\win32 -FuC:\lazarus\ideintf\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32 -FuC:\lazarus\components\lazutils\lib\i386-win32 -FuC:\lazarus\packager\units\i386-win32 -FuD:\AProjects\Lazarus\ss\ -FUD:\AProjects\Lazarus\ss\lib\i386-win32\ -dLCL -dLCLwin32 ss.lpr"
Hint: Start of reading config file C:\lazarus\fpc\2.6.1\bin\i386-win32\fpc.cfg
Hint: End of reading config file C:\lazarus\fpc\2.6.1\bin\i386-win32\fpc.cfg
Free Pascal Compiler version 2.6.1 [2012/04/12] for i386
Copyright (c) 1993-2011 by Florian Klaempfl and others
Target OS: Win32 for i386
Compiling ss.lpr
Compiling nomenclature.pas
nomenclature.pas(28,30) Hint: Parameter "Sender" not used
nomenclature.pas(27,32) Hint: Parameter "Sender" not used
nomenclature.pas(26,28) Hint: Parameter "Sender" not used
nomenclature.pas(29,39) Hint: Parameter "Sender" not used
nomenclature.pas(30,45) Hint: Parameter "Sender" not used
nomenclature.pas(31,7) Hint: Parameter "DataCol" not used
nomenclature.pas(31,42) Hint: Parameter "State" not used
nomenclature.pas(32,24) Hint: Parameter "Sender" not used
nomenclature.pas(9,66) Hint: Unit "ComCtrls" not used in nomenclature
Compiling resource D:\AProjects\Lazarus\ss\lib\i386-win32\ss.or
Linking ss.exe
201 lines compiled, 4.3 sec , 3162960 bytes code, 1069820 bytes data
11 hint(s) issued
[TCompiler.Compile] end
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=True IsDockSite=False IsDockable=True
TMainIDE.DoInitProjectRun ProgramFilename=D:\AProjects\Lazarus\ss\ss.exe
[TDebugger.SetFileName] "D:\AProjects\Lazarus\ss\ss.exe"
[TMainIDE.DoRunProject] B TProcessDebugger
[TMainIDE.DoRunProject] END
PR: D:\AProjects\Lazarus\ss\ss.exe 
[TDebugger.SetFileName] ""
TToolButton.MouseDown RunSpeedButton:TToolButton
[TMainIDE.DoRunProject] A
TMainIDE.DoInitProjectRun A True 0
TMainIDE.DoInitProjectRun B
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=False IsDockSite=False IsDockable=True
TMainIDE.DoInitProjectRun ProgramFilename=D:\AProjects\Lazarus\ss\ss.exe
[TDebugger.SetFileName] "D:\AProjects\Lazarus\ss\ss.exe"
[TMainIDE.DoRunProject] B TProcessDebugger
[TMainIDE.DoRunProject] END
PR: D:\AProjects\Lazarus\ss\ss.exe 
[TDebugger.SetFileName] ""
TToolButton.MouseDown ViewFormsSpeedBtn:TToolButton
TDesigner.InvokeComponentEditor A ZTNomenclature:TZTable
TDesigner.InvokeComponentEditor B TFieldsComponentEditor
TDesigner.InvokeComponentEditor A ZTNomenclature:TZTable
TDesigner.InvokeComponentEditor B TFieldsComponentEditor
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TToolButton.MouseDown SaveSpeedBtn:TToolButton
TToolButton.MouseDown SaveAllSpeedBtn:TToolButton
TToolButton.MouseDown RunSpeedButton:TToolButton
[TMainIDE.DoRunProject] A
TMainIDE.DoInitProjectRun A True 0
TMainIDE.DoInitProjectRun B
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=False IsDockSite=False IsDockable=True
TMainIDE.CheckIfProjectNeedsCompilation  Src has changed Project D:\AProjects\Lazarus\ss\main.pas
TCompiler.Compile WorkingDir="D:\AProjects\Lazarus\ss\" CompilerFilename="C:\lazarus\fpc\2.6.1\bin\i386-win32\fpc.exe" CompilerParams=" -MObjFPC -Scghi -O1 -Pi386 -WG -vewnhi -l -FiD:\AProjects\Lazarus\ss\lib\i386-win32 -FuC:\lazarus\components\sqldb\lib\i386-win32\win32 -FuD:\AProjects\Lazarus\lib\zeos\ZEOSLIB_REV943\packages\lazarus\lib\i386-win32 -FuC:\lazarus\components\codetools\ide\lib\i386-win32\win32 -FuC:\lazarus\components\codetools\units\i386-win32 -FuC:\lazarus\components\lazcontrols\lib\i386-win32\win32 -FuC:\lazarus\components\lazreport\source\lib\i386-win32 -FuC:\lazarus\components\printers\lib\i386-win32\win32 -FuC:\lazarus\components\synedit\units\i386-win32\win32 -FuC:\lazarus\ideintf\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32 -FuC:\lazarus\components\lazutils\lib\i386-win32 -FuC:\lazarus\packager\units\i386-win32 -FuD:\AProjects\Lazarus\ss\ -FUD:\AProjects\Lazarus\ss\lib\i386-win32\ -dLCL -dLCLwin32 ss.lpr"
[TCompiler.Compile] CmdLine="C:\lazarus\fpc\2.6.1\bin\i386-win32\fpc.exe  -MObjFPC -Scghi -O1 -Pi386 -WG -vewnhi -l -FiD:\AProjects\Lazarus\ss\lib\i386-win32 -FuC:\lazarus\components\sqldb\lib\i386-win32\win32 -FuD:\AProjects\Lazarus\lib\zeos\ZEOSLIB_REV943\packages\lazarus\lib\i386-win32 -FuC:\lazarus\components\codetools\ide\lib\i386-win32\win32 -FuC:\lazarus\components\codetools\units\i386-win32 -FuC:\lazarus\components\lazcontrols\lib\i386-win32\win32 -FuC:\lazarus\components\lazreport\source\lib\i386-win32 -FuC:\lazarus\components\printers\lib\i386-win32\win32 -FuC:\lazarus\components\synedit\units\i386-win32\win32 -FuC:\lazarus\ideintf\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32\win32 -FuC:\lazarus\lcl\units\i386-win32 -FuC:\lazarus\components\lazutils\lib\i386-win32 -FuC:\lazarus\packager\units\i386-win32 -FuD:\AProjects\Lazarus\ss\ -FUD:\AProjects\Lazarus\ss\lib\i386-win32\ -dLCL -dLCLwin32 ss.lpr"
Hint: Start of reading config file C:\lazarus\fpc\2.6.1\bin\i386-win32\fpc.cfg
Hint: End of reading config file C:\lazarus\fpc\2.6.1\bin\i386-win32\fpc.cfg
Free Pascal Compiler version 2.6.1 [2012/04/12] for i386
Copyright (c) 1993-2011 by Florian Klaempfl and others
Target OS: Win32 for i386
Compiling ss.lpr
Compiling main.pas
main.pas(231,28) Warning: Symbol "DecimalSeparator" is deprecated
main.pas(235,29) Warning: Symbol "DecimalSeparator" is deprecated
main.pas(236,56) Warning: Symbol "DecimalSeparator" is deprecated
main.pas(128,37) Hint: Parameter "Sender" not used
main.pas(129,31) Hint: Parameter "Sender" not used
main.pas(130,29) Hint: Parameter "Sender" not used
main.pas(124,38) Hint: Parameter "Sender" not used
main.pas(125,44) Hint: Parameter "Sender" not used
main.pas(126,32) Hint: Parameter "Sender" not used
main.pas(127,33) Hint: Parameter "Sender" not used
main.pas(120,40) Hint: Parameter "Sender" not used
main.pas(121,42) Hint: Parameter "Sender" not used
main.pas(122,42) Hint: Parameter "Sender" not used
main.pas(123,50) Hint: Parameter "Sender" not used
main.pas(119,44) Hint: Parameter "Sender" not used
main.pas(131,26) Hint: Parameter "Sender" not used
Compiling resource D:\AProjects\Lazarus\ss\lib\i386-win32\ss.or
Linking ss.exe
396 lines compiled, 3.9 sec , 3162960 bytes code, 1069820 bytes data
3 warning(s) issued
15 hint(s) issued
[TCompiler.Compile] end
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=True IsDockSite=False IsDockable=True
TMainIDE.DoInitProjectRun ProgramFilename=D:\AProjects\Lazarus\ss\ss.exe
[TDebugger.SetFileName] "D:\AProjects\Lazarus\ss\ss.exe"
[TMainIDE.DoRunProject] B TProcessDebugger
[TMainIDE.DoRunProject] END
PR: D:\AProjects\Lazarus\ss\ss.exe 
[TDebugger.SetFileName] ""
TToolButton.MouseDown SaveAllSpeedBtn:TToolButton
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TToolButton.MouseDown ToggleFormSpeedBtn:TToolButton
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TToolButton.MouseDown ToggleFormSpeedBtn:TToolButton
TToolButton.MouseDown ToggleFormSpeedBtn:TToolButton
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TToolButton.MouseDown ToggleFormSpeedBtn:TToolButton
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TToolButton.MouseDown ToggleFormSpeedBtn:TToolButton
TToolButton.MouseDown ToggleFormSpeedBtn:TToolButton
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TToolButton.MouseDown ToggleFormSpeedBtn:TToolButton
TToolButton.MouseDown ToggleFormSpeedBtn:TToolButton
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TToolButton.MouseDown ToggleFormSpeedBtn:TToolButton
TToolButton.MouseDown ToggleFormSpeedBtn:TToolButton
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TToolButton.MouseDown ToggleFormSpeedBtn:TToolButton
TToolButton.MouseDown ToggleFormSpeedBtn:TToolButton
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TToolButton.MouseDown ToggleFormSpeedBtn:TToolButton
TToolButton.MouseDown ToggleFormSpeedBtn:TToolButton
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TToolButton.MouseDown ToggleFormSpeedBtn:TToolButton
TToolButton.MouseDown ToggleFormSpeedBtn:TToolButton
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TToolButton.MouseDown ToggleFormSpeedBtn:TToolButton
TToolButton.MouseDown ToggleFormSpeedBtn:TToolButton
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TToolButton.MouseDown ToggleFormSpeedBtn:TToolButton
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TCustomFormEditor.DeleteComponent Hiding: FrmMain:TFrmMain
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TMainIDE.DoLoadLFM Creating designer for hidden component of D:\AProjects\Lazarus\issue\main.pas
TMainIDE.DoOpenProjectFile select form in designer: frmMain:TfrmMain TDesigner
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm PackageEditor_ide:TPackageEditorForm BringToFront=True IsDockSite=False IsDockable=False
default bounds: l=327,t=200,r=791,b=655
default bounds: l=327,t=200,r=791,b=655
TIDEEasyDockMaster.MakeIDEWindowDockable BEFORE PackageEditor_ide:TPackageEditorForm l=327,t=200,r=791,b=655
TWinControl.DoDockClientMsg FloatingSite_3:TFloatingSite Control=PackageEditor_ide:TPackageEditorForm DestRect=l=327,t=200,r=791,b=655
TIDEEasyDockMaster.MakeIDEWindowDockable AFTERE PackageEditor_ide:TPackageEditorForm l=10,t=0,r=464,b=455
After MakeDockable: l=327,t=200,r=791,b=655
TIDEEasyDockMaster.ShowForm END Parent l=327,t=200,r=791,b=655
TIDEEasyDockMaster.ShowForm END PackageEditor_ide:TPackageEditorForm l=10,t=0,r=464,b=455
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TApplication.HandleException Access violation
  Stack trace:
  $00404541
  $005BB366  TPOPUPMENU__DOPOPUP,  line 43 of ./include/popupmenu.inc
  $005BB578  TPOPUPMENU__POPUP,  line 80 of ./include/popupmenu.inc
  $0059454B  TCONTROL__WMCONTEXTMENU,  line 2266 of ./include/control.inc
  $0058EF83  TWINCONTROL__WMCONTEXTMENU,  line 8135 of ./include/wincontrol.inc
  $0040C8C6
  $005882DE  TWINCONTROL__WNDPROC,  line 5289 of ./include/wincontrol.inc
  $005F65C5  DELIVERMESSAGE,  line 117 of lclmessageglue.pas
  $005486B2  WINDOWPROC,  line 2440 of ./win32/win32callback.inc
  $762462FA
  $76246D3A
  $762490C9
  $76246A8C
  $76246AE9
  $702D734C
  $762462FA
  $76246D3A
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsTMainIDE.ParseCmdLineOptions:
  PrimaryConfigPath="C:\Users\root\AppData\Local\lazarus"
  SecondaryConfigPath="C:\lazarus"
TIDEEasyDockMaster.MakeIDEWindowDockSite BEFORE MainIDE:TMainIDEBar l=0,t=0,r=320,b=240
TIDEEasyDockMaster.MakeIDEWindowDockSite Creator MainIDE:TMainIDEBar l=0,t=0,r=1277,b=90
AddElastic BEFORE MainIDE l=0,t=0,r=1277,b=81
AddElastic added  MainIDE l=0,t=0,r=1277,b=81
AddElastic AFTER  MainIDE l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.MakeIDEWindowDockSite AFTER MainIDE:TMainIDEBar l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.LoadDefaultLayout C:\Users\root\AppData\Local\lazarus\easydocklayout.lyt exists=True
--- Reload site 
Bounds=x(76-372) y(112-783)
Extent=x(0-0) y(0-0)
reload  @1 [296,671]
reload ObjectInspectorDlg @2 [296,671]
TIDEEasyDockMaster.DockMasterRestore CtrlName="ObjectInspectorDlg"
TIDEEasyDockMaster.DockMasterRestore Result=ObjectInspectorDlg:TObjectInspectorDlg
TWinControl.DoDockClientMsg FloatingSite:TFloatingSite Control=ObjectInspectorDlg:TObjectInspectorDlg DestRect=l=292,t=175,r=567,b=844
?NewCtl w=286=296 h=671=671
!NewCtl w=286=296 h=671=671
reload done
--- Reload site 
Bounds=x(279-1217) y(171-842)
Extent=x(0-0) y(0-0)
reload  @1 [938,671]
reload SourceNotebook @2 [938,671]
TIDEEasyDockMaster.DockMasterRestore CtrlName="SourceNotebook"
TIDEEasyDockMaster.DockMasterRestore Result=SourceNotebook:TSourceNotebook
TWinControl.DoDockClientMsg FloatingSite_1:TFloatingSite Control=SourceNotebook:TSourceNotebook DestRect=l=533,t=374,r=933,b=674
?NewCtl w=928=938 h=671=671
!NewCtl w=928=938 h=671=671
reload done
--- Reload site 
Bounds=x(100-1185) y(872-972)
Extent=x(0-0) y(0-0)
reload  @1 [1085,100]
reload MessagesView @2 [1085,100]
TIDEEasyDockMaster.DockMasterRestore CtrlName="MessagesView"
TIDEEasyDockMaster.DockMasterRestore Result=MessagesView:TMessagesView
TWinControl.DoDockClientMsg FloatingSite_2:TFloatingSite Control=MessagesView:TMessagesView DestRect=l=284,t=640,r=1006,b=719
?NewCtl w=1075=1085 h=100=100
!NewCtl w=1075=1085 h=100=100
reload done
reload site done
TIDEEasyDockMaster.ShowForm MainIDE:TMainIDEBar BringToFront=False IsDockSite=True IsDockable=False
TIDEEasyDockMaster.ShowForm END Parent l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.ShowForm END MainIDE:TMainIDEBar l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TMainIDE.DoLoadLFM Creating designer for hidden component of D:\AProjects\Lazarus\issue\main.pas
TMainIDE.DoOpenProjectFile select form in designer: frmMain:TfrmMain TDesigner
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.SaveDefaultLayout C:\Users\root\AppData\Local\lazarus\easydocklayout.lyt
TIDEEasyDockMaster.SaveDefaultLayout C:\Users\root\AppData\Local\lazarus\easydocklayout.lyt
TControl.ManualFloat SourceNotebook:TSourceNotebook
TWinControl.DoUnDock FloatingSite_1 NewTarget=nil Client=SourceNotebook:TSourceNotebook
TFloatingSite undodock, allow True
release FloatingSite_1
TWinControl.DoUnDockClientMsg FloatingSite_1:TFloatingSite Client=SourceNotebook:TSourceNotebook Client.Parent=FloatingSite_1:TFloatingSite
TWinControl.DoRemoveDockClient FloatingSite_1:TFloatingSite SourceNotebook:TSourceNotebook
TControl.ManualFloat ObjectInspectorDlg:TObjectInspectorDlg
TWinControl.DoUnDock FloatingSite NewTarget=nil Client=ObjectInspectorDlg:TObjectInspectorDlg
TFloatingSite undodock, allow True
release FloatingSite
TWinControl.DoUnDockClientMsg FloatingSite:TFloatingSite Client=ObjectInspectorDlg:TObjectInspectorDlg Client.Parent=FloatingSite:TFloatingSite
TWinControl.DoRemoveDockClient FloatingSite:TFloatingSite ObjectInspectorDlg:TObjectInspectorDlg
TControl.ManualFloat MessagesView:TMessagesView
TWinControl.DoUnDock FloatingSite_2 NewTarget=nil Client=MessagesView:TMessagesView
TFloatingSite undodock, allow True
release FloatingSite_2
TWinControl.DoUnDockClientMsg FloatingSite_2:TFloatingSite Client=MessagesView:TMessagesView Client.Parent=FloatingSite_2:TFloatingSite
TWinControl.DoRemoveDockClient FloatingSite_2:TFloatingSite MessagesView:TMessagesView
LAZARUS END - cleaning up ...
[TMainIDE.Destroy] A 
[TMainIDE.Destroy] B  -> inherited Destroy... TMainIDE
[TMainIDE.Destroy] END
destroying FloatingSite_2
destroying FloatingSite_1
destroying FloatingSite
TMainIDE.ParseCmdLineOptions:
  PrimaryConfigPath="C:\Users\root\AppData\Local\lazarus"
  SecondaryConfigPath="C:\lazarus"
TIDEEasyDockMaster.MakeIDEWindowDockSite BEFORE MainIDE:TMainIDEBar l=0,t=0,r=320,b=240
TIDEEasyDockMaster.MakeIDEWindowDockSite Creator MainIDE:TMainIDEBar l=0,t=0,r=1277,b=90
AddElastic BEFORE MainIDE l=0,t=0,r=1277,b=81
AddElastic added  MainIDE l=0,t=0,r=1277,b=81
AddElastic AFTER  MainIDE l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.MakeIDEWindowDockSite AFTER MainIDE:TMainIDEBar l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.LoadDefaultLayout C:\Users\root\AppData\Local\lazarus\easydocklayout.lyt exists=True
--- Reload site 
Bounds=x(76-372) y(112-783)
Extent=x(0-0) y(0-0)
reload  @1 [296,671]
reload ObjectInspectorDlg @2 [296,671]
TIDEEasyDockMaster.DockMasterRestore CtrlName="ObjectInspectorDlg"
TIDEEasyDockMaster.DockMasterRestore Result=ObjectInspectorDlg:TObjectInspectorDlg
TWinControl.DoDockClientMsg FloatingSite:TFloatingSite Control=ObjectInspectorDlg:TObjectInspectorDlg DestRect=l=292,t=175,r=567,b=844
?NewCtl w=286=296 h=671=671
!NewCtl w=286=296 h=671=671
reload done
--- Reload site 
Bounds=x(279-1217) y(171-842)
Extent=x(0-0) y(0-0)
reload  @1 [938,671]
reload SourceNotebook @2 [938,671]
TIDEEasyDockMaster.DockMasterRestore CtrlName="SourceNotebook"
TIDEEasyDockMaster.DockMasterRestore Result=SourceNotebook:TSourceNotebook
TWinControl.DoDockClientMsg FloatingSite_1:TFloatingSite Control=SourceNotebook:TSourceNotebook DestRect=l=533,t=374,r=933,b=674
?NewCtl w=928=938 h=671=671
!NewCtl w=928=938 h=671=671
reload done
--- Reload site 
Bounds=x(100-1185) y(872-972)
Extent=x(0-0) y(0-0)
reload  @1 [1085,100]
reload MessagesView @2 [1085,100]
TIDEEasyDockMaster.DockMasterRestore CtrlName="MessagesView"
TIDEEasyDockMaster.DockMasterRestore Result=MessagesView:TMessagesView
TWinControl.DoDockClientMsg FloatingSite_2:TFloatingSite Control=MessagesView:TMessagesView DestRect=l=284,t=640,r=1006,b=719
?NewCtl w=1075=1085 h=100=100
!NewCtl w=1075=1085 h=100=100
reload done
reload site done
TIDEEasyDockMaster.ShowForm MainIDE:TMainIDEBar BringToFront=False IsDockSite=True IsDockable=False
TIDEEasyDockMaster.ShowForm END Parent l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.ShowForm END MainIDE:TMainIDEBar l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TMainIDE.DoLoadLFM Creating designer for hidden component of D:\AProjects\Lazarus\issue\main.pas
TMainIDE.DoOpenProjectFile select form in designer: frmMain:TfrmMain TDesigner
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm PackageEditor_ide:TPackageEditorForm BringToFront=True IsDockSite=False IsDockable=False
default bounds: l=327,t=200,r=791,b=655
default bounds: l=327,t=200,r=791,b=655
TIDEEasyDockMaster.MakeIDEWindowDockable BEFORE PackageEditor_ide:TPackageEditorForm l=327,t=200,r=791,b=655
TWinControl.DoDockClientMsg FloatingSite_3:TFloatingSite Control=PackageEditor_ide:TPackageEditorForm DestRect=l=327,t=200,r=791,b=655
TIDEEasyDockMaster.MakeIDEWindowDockable AFTERE PackageEditor_ide:TPackageEditorForm l=10,t=0,r=464,b=455
After MakeDockable: l=327,t=200,r=791,b=655
TIDEEasyDockMaster.ShowForm END Parent l=327,t=200,r=791,b=655
TIDEEasyDockMaster.ShowForm END PackageEditor_ide:TPackageEditorForm l=10,t=0,r=464,b=455
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TSourceNotebook.TabPopUpMenuPopup: Popup PageIndex=-1
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TLazPackageGraph.CloseUnneededPackages Pkg=ide
TWinControl.DoUnDockClientMsg FloatingSite_3:TFloatingSite Client=PackageEditor_ide:TPackageEditorForm Client.Parent=FloatingSite_3:TFloatingSite
TWinControl.DoRemoveDockClient FloatingSite_3:TFloatingSite PackageEditor_ide:TPackageEditorForm
TIDEEasyDockMaster.SaveDefaultLayout C:\Users\root\AppData\Local\lazarus\easydocklayout.lyt
TIDEEasyDockMaster.SaveDefaultLayout C:\Users\root\AppData\Local\lazarus\easydocklayout.lyt
TControl.ManualFloat SourceNotebook:TSourceNotebook
TWinControl.DoUnDock FloatingSite_1 NewTarget=nil Client=SourceNotebook:TSourceNotebook
TFloatingSite undodock, allow True
release FloatingSite_1
TWinControl.DoUnDockClientMsg FloatingSite_1:TFloatingSite Client=SourceNotebook:TSourceNotebook Client.Parent=FloatingSite_1:TFloatingSite
TWinControl.DoRemoveDockClient FloatingSite_1:TFloatingSite SourceNotebook:TSourceNotebook
TControl.ManualFloat ObjectInspectorDlg:TObjectInspectorDlg
TWinControl.DoUnDock FloatingSite NewTarget=nil Client=ObjectInspectorDlg:TObjectInspectorDlg
TFloatingSite undodock, allow True
release FloatingSite
TWinControl.DoUnDockClientMsg FloatingSite:TFloatingSite Client=ObjectInspectorDlg:TObjectInspectorDlg Client.Parent=FloatingSite:TFloatingSite
TWinControl.DoRemoveDockClient FloatingSite:TFloatingSite ObjectInspectorDlg:TObjectInspectorDlg
TControl.ManualFloat MessagesView:TMessagesView
TWinControl.DoUnDock FloatingSite_2 NewTarget=nil Client=MessagesView:TMessagesView
TFloatingSite undodock, allow True
release FloatingSite_2
TWinControl.DoUnDockClientMsg FloatingSite_2:TFloatingSite Client=MessagesView:TMessagesView Client.Parent=FloatingSite_2:TFloatingSite
TWinControl.DoRemoveDockClient FloatingSite_2:TFloatingSite MessagesView:TMessagesView
LAZARUS END - cleaning up ...
[TMainIDE.Destroy] A 
[TMainIDE.Destroy] B  -> inherited Destroy... TMainIDE
[TMainIDE.Destroy] END
destroying FloatingSite_3
destroying FloatingSite_2
destroying FloatingSite_1
destroying FloatingSite
log.txt (60,632 bytes)   

Ihor Lavrynyuk

2012-05-05 09:56

reporter   ~0059251

upload log ^
TApplication.HandleException Access violation
  Stack trace:
  $00404541
  $005BB366 TPOPUPMENU__DOPOPUP, line 43 of ./include/popupmenu.inc
  $005BB578 TPOPUPMENU__POPUP, line 80 of ./include/popupmenu.inc
  $0059454B TCONTROL__WMCONTEXTMENU, line 2266 of ./include/control.inc
  $0058EF83 TWINCONTROL__WMCONTEXTMENU, line 8135 of ./include/wincontrol.inc
  $0040C8C6
  $005882DE TWINCONTROL__WNDPROC, line 5289 of ./include/wincontrol.inc
  $005F65C5 DELIVERMESSAGE, line 117 of lclmessageglue.pas
  $005486B2 WINDOWPROC, line 2440 of ./win32/win32callback.inc

Ihor Lavrynyuk

2012-05-05 10:08

reporter   ~0059254

Last edited: 2012-05-05 11:05

so I found how created this error
have 3 projects
via menu "Project" -> "Close project" -> "open recent project" -> "Click right mouse button on unit "sample for close""

Reproducibility: Always

2012-05-05 10:09

 

log2.txt (35,942 bytes)   
TMainIDE.ParseCmdLineOptions:
  PrimaryConfigPath="C:\Users\root\AppData\Local\lazarus"
  SecondaryConfigPath="C:\lazarus"
TIDEEasyDockMaster.MakeIDEWindowDockSite BEFORE MainIDE:TMainIDEBar l=0,t=0,r=320,b=240
TIDEEasyDockMaster.MakeIDEWindowDockSite Creator MainIDE:TMainIDEBar l=0,t=0,r=1277,b=90
AddElastic BEFORE MainIDE l=0,t=0,r=1277,b=81
AddElastic added  MainIDE l=0,t=0,r=1277,b=81
AddElastic AFTER  MainIDE l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.MakeIDEWindowDockSite AFTER MainIDE:TMainIDEBar l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.LoadDefaultLayout C:\Users\root\AppData\Local\lazarus\easydocklayout.lyt exists=True
--- Reload site 
Bounds=x(76-372) y(112-783)
Extent=x(0-0) y(0-0)
reload  @1 [296,671]
reload ObjectInspectorDlg @2 [296,671]
TIDEEasyDockMaster.DockMasterRestore CtrlName="ObjectInspectorDlg"
TIDEEasyDockMaster.DockMasterRestore Result=ObjectInspectorDlg:TObjectInspectorDlg
TWinControl.DoDockClientMsg FloatingSite:TFloatingSite Control=ObjectInspectorDlg:TObjectInspectorDlg DestRect=l=292,t=175,r=567,b=844
?NewCtl w=286=296 h=671=671
!NewCtl w=286=296 h=671=671
reload done
--- Reload site 
Bounds=x(342-1280) y(255-926)
Extent=x(0-0) y(0-0)
reload  @1 [938,671]
reload SourceNotebook @2 [938,671]
TIDEEasyDockMaster.DockMasterRestore CtrlName="SourceNotebook"
TIDEEasyDockMaster.DockMasterRestore Result=SourceNotebook:TSourceNotebook
TWinControl.DoDockClientMsg FloatingSite_1:TFloatingSite Control=SourceNotebook:TSourceNotebook DestRect=l=533,t=374,r=933,b=674
?NewCtl w=928=938 h=671=671
!NewCtl w=928=938 h=671=671
reload done
--- Reload site 
Bounds=x(100-1185) y(872-972)
Extent=x(0-0) y(0-0)
reload  @1 [1085,100]
reload MessagesView @2 [1085,100]
TIDEEasyDockMaster.DockMasterRestore CtrlName="MessagesView"
TIDEEasyDockMaster.DockMasterRestore Result=MessagesView:TMessagesView
TWinControl.DoDockClientMsg FloatingSite_2:TFloatingSite Control=MessagesView:TMessagesView DestRect=l=284,t=640,r=1006,b=719
?NewCtl w=1075=1085 h=100=100
!NewCtl w=1075=1085 h=100=100
reload done
reload site done
TIDEEasyDockMaster.ShowForm MainIDE:TMainIDEBar BringToFront=False IsDockSite=True IsDockable=False
TIDEEasyDockMaster.ShowForm END Parent l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.ShowForm END MainIDE:TMainIDEBar l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TMainIDE.DoOpenProjectFile select form in designer: frmMain:TfrmMain TDesigner
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TMainIDE.DoFixupComponentReferences UNRESOLVED BEFORE loading 0 Root=frmNomenclature:TfrmNomenclature RefRoot=FrmMain Refs="DSNomenclature"
TMainIDE.DoLoadLFM Creating designer for hidden component of D:\AProjects\Lazarus\ss\nomenclature.pas
TMainIDE.DoOpenProjectFile select form in designer: frmNomenclature:TfrmNomenclature TDesigner
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TApplication.HandleException Access violation
  Stack trace:
  $007F01D4  TSOURCENOTEBOOK__TABPOPUPMENUPOPUP,  line 5552 of sourceeditor.pp
  $005BB366  TPOPUPMENU__DOPOPUP,  line 43 of ./include/popupmenu.inc
  $005BB578  TPOPUPMENU__POPUP,  line 80 of ./include/popupmenu.inc
  $0059454B  TCONTROL__WMCONTEXTMENU,  line 2266 of ./include/control.inc
  $0058EF83  TWINCONTROL__WMCONTEXTMENU,  line 8135 of ./include/wincontrol.inc
  $0040C8C6
  $005882DE  TWINCONTROL__WNDPROC,  line 5289 of ./include/wincontrol.inc
  $005F65C5  DELIVERMESSAGE,  line 117 of lclmessageglue.pas
  $005486B2  WINDOWPROC,  line 2440 of ./win32/win32callback.inc
  $762462FA
  $76246D3A
  $762490C9
  $76246A8C
  $76246AE9
  $702D734C
  $762462FA
  $76246D3A
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TApplication.HandleException Access violation
  Stack trace:
  $007F01D4
  $005BB366
  $005BB578
  $0059454B
  $0058EF83
  $0040C8C6
  $005882DE
  $005F65C5
  $005486B2
  $762462FA
  $76246D3A
  $762490C9
  $76246A8C
  $76246AE9
  $702D734C
  $762462FA
  $76246D3A
TToolButton.MouseDown SaveAllSpeedBtn:TToolButton
TCustomFormEditor.DeleteComponent Hiding: FrmMain:TFrmMain
TIDEEasyDockMaster.SaveDefaultLayout C:\Users\root\AppData\Local\lazarus\easydocklayout.lyt
TIDEEasyDockMaster.SaveDefaultLayout C:\Users\root\AppData\Local\lazarus\easydocklayout.lyt
TControl.ManualFloat SourceNotebook:TSourceNotebook
TWinControl.DoUnDock FloatingSite_1 NewTarget=nil Client=SourceNotebook:TSourceNotebook
TFloatingSite undodock, allow True
release FloatingSite_1
TWinControl.DoUnDockClientMsg FloatingSite_1:TFloatingSite Client=SourceNotebook:TSourceNotebook Client.Parent=FloatingSite_1:TFloatingSite
TWinControl.DoRemoveDockClient FloatingSite_1:TFloatingSite SourceNotebook:TSourceNotebook
TControl.ManualFloat ObjectInspectorDlg:TObjectInspectorDlg
TWinControl.DoUnDock FloatingSite NewTarget=nil Client=ObjectInspectorDlg:TObjectInspectorDlg
TFloatingSite undodock, allow True
release FloatingSite
TWinControl.DoUnDockClientMsg FloatingSite:TFloatingSite Client=ObjectInspectorDlg:TObjectInspectorDlg Client.Parent=FloatingSite:TFloatingSite
TWinControl.DoRemoveDockClient FloatingSite:TFloatingSite ObjectInspectorDlg:TObjectInspectorDlg
TControl.ManualFloat MessagesView:TMessagesView
TWinControl.DoUnDock FloatingSite_2 NewTarget=nil Client=MessagesView:TMessagesView
TFloatingSite undodock, allow True
release FloatingSite_2
TWinControl.DoUnDockClientMsg FloatingSite_2:TFloatingSite Client=MessagesView:TMessagesView Client.Parent=FloatingSite_2:TFloatingSite
TWinControl.DoRemoveDockClient FloatingSite_2:TFloatingSite MessagesView:TMessagesView
LAZARUS END - cleaning up ...
[TMainIDE.Destroy] A 
[TMainIDE.Destroy] B  -> inherited Destroy... TMainIDE
[TMainIDE.Destroy] END
destroying FloatingSite_2
destroying FloatingSite_1
destroying FloatingSite
TMainIDE.ParseCmdLineOptions:
  PrimaryConfigPath="C:\Users\root\AppData\Local\lazarus"
  SecondaryConfigPath="C:\lazarus"
TIDEEasyDockMaster.MakeIDEWindowDockSite BEFORE MainIDE:TMainIDEBar l=0,t=0,r=320,b=240
TIDEEasyDockMaster.MakeIDEWindowDockSite Creator MainIDE:TMainIDEBar l=0,t=0,r=1277,b=90
AddElastic BEFORE MainIDE l=0,t=0,r=1277,b=81
AddElastic added  MainIDE l=0,t=0,r=1277,b=81
AddElastic AFTER  MainIDE l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.MakeIDEWindowDockSite AFTER MainIDE:TMainIDEBar l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.LoadDefaultLayout C:\Users\root\AppData\Local\lazarus\easydocklayout.lyt exists=True
--- Reload site 
Bounds=x(76-372) y(112-783)
Extent=x(0-0) y(0-0)
reload  @1 [296,671]
reload ObjectInspectorDlg @2 [296,671]
TIDEEasyDockMaster.DockMasterRestore CtrlName="ObjectInspectorDlg"
TIDEEasyDockMaster.DockMasterRestore Result=ObjectInspectorDlg:TObjectInspectorDlg
TWinControl.DoDockClientMsg FloatingSite:TFloatingSite Control=ObjectInspectorDlg:TObjectInspectorDlg DestRect=l=292,t=175,r=567,b=844
?NewCtl w=286=296 h=671=671
!NewCtl w=286=296 h=671=671
reload done
--- Reload site 
Bounds=x(342-1280) y(255-926)
Extent=x(0-0) y(0-0)
reload  @1 [938,671]
reload SourceNotebook @2 [938,671]
TIDEEasyDockMaster.DockMasterRestore CtrlName="SourceNotebook"
TIDEEasyDockMaster.DockMasterRestore Result=SourceNotebook:TSourceNotebook
TWinControl.DoDockClientMsg FloatingSite_1:TFloatingSite Control=SourceNotebook:TSourceNotebook DestRect=l=533,t=374,r=933,b=674
?NewCtl w=928=938 h=671=671
!NewCtl w=928=938 h=671=671
reload done
--- Reload site 
Bounds=x(100-1185) y(872-972)
Extent=x(0-0) y(0-0)
reload  @1 [1085,100]
reload MessagesView @2 [1085,100]
TIDEEasyDockMaster.DockMasterRestore CtrlName="MessagesView"
TIDEEasyDockMaster.DockMasterRestore Result=MessagesView:TMessagesView
TWinControl.DoDockClientMsg FloatingSite_2:TFloatingSite Control=MessagesView:TMessagesView DestRect=l=284,t=640,r=1006,b=719
?NewCtl w=1075=1085 h=100=100
!NewCtl w=1075=1085 h=100=100
reload done
reload site done
TIDEEasyDockMaster.ShowForm MainIDE:TMainIDEBar BringToFront=False IsDockSite=True IsDockable=False
TIDEEasyDockMaster.ShowForm END Parent l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.ShowForm END MainIDE:TMainIDEBar l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TMainIDE.DoFixupComponentReferences UNRESOLVED BEFORE loading 0 Root=frmNomenclature:TfrmNomenclature RefRoot=FrmMain Refs="DSNomenclature"
TMainIDE.DoLoadLFM Creating designer for hidden component of D:\AProjects\Lazarus\ss\main.pas
TMainIDE.DoOpenProjectFile select form in designer: FrmMain:TFrmMain TDesigner
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TCustomFormEditor.DeleteComponent Hiding: FrmMain:TFrmMain
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TMainIDE.DoOpenProjectFile select form in designer: frmMain:TfrmMain TDesigner
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TApplication.HandleException Access violation
  Stack trace:
  $007F01D4  TSOURCENOTEBOOK__TABPOPUPMENUPOPUP,  line 5552 of sourceeditor.pp
  $005BB366  TPOPUPMENU__DOPOPUP,  line 43 of ./include/popupmenu.inc
  $005BB578  TPOPUPMENU__POPUP,  line 80 of ./include/popupmenu.inc
  $0059454B  TCONTROL__WMCONTEXTMENU,  line 2266 of ./include/control.inc
  $0058EF83  TWINCONTROL__WMCONTEXTMENU,  line 8135 of ./include/wincontrol.inc
  $0040C8C6
  $005882DE  TWINCONTROL__WNDPROC,  line 5289 of ./include/wincontrol.inc
  $005F65C5  DELIVERMESSAGE,  line 117 of lclmessageglue.pas
  $005486B2  WINDOWPROC,  line 2440 of ./win32/win32callback.inc
  $762462FA
  $76246D3A
  $762490C9
  $76246A8C
  $76246AE9
  $702D734C
  $762462FA
  $76246D3A
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TApplication.HandleException Access violation
  Stack trace:
  $007F01D4
  $005BB366
  $005BB578
  $0059454B
  $0058EF83
  $0040C8C6
  $005882DE
  $005F65C5
  $005486B2
  $762462FA
  $76246D3A
  $762490C9
  $76246A8C
  $76246AE9
  $702D734C
  $762462FA
  $76246D3A
TIDEEasyDockMaster.SaveDefaultLayout C:\Users\root\AppData\Local\lazarus\easydocklayout.lyt
TIDEEasyDockMaster.SaveDefaultLayout C:\Users\root\AppData\Local\lazarus\easydocklayout.lyt
TControl.ManualFloat SourceNotebook:TSourceNotebook
TWinControl.DoUnDock FloatingSite_1 NewTarget=nil Client=SourceNotebook:TSourceNotebook
TFloatingSite undodock, allow True
release FloatingSite_1
TWinControl.DoUnDockClientMsg FloatingSite_1:TFloatingSite Client=SourceNotebook:TSourceNotebook Client.Parent=FloatingSite_1:TFloatingSite
TWinControl.DoRemoveDockClient FloatingSite_1:TFloatingSite SourceNotebook:TSourceNotebook
TControl.ManualFloat ObjectInspectorDlg:TObjectInspectorDlg
TWinControl.DoUnDock FloatingSite NewTarget=nil Client=ObjectInspectorDlg:TObjectInspectorDlg
TFloatingSite undodock, allow True
release FloatingSite
TWinControl.DoUnDockClientMsg FloatingSite:TFloatingSite Client=ObjectInspectorDlg:TObjectInspectorDlg Client.Parent=FloatingSite:TFloatingSite
TWinControl.DoRemoveDockClient FloatingSite:TFloatingSite ObjectInspectorDlg:TObjectInspectorDlg
TControl.ManualFloat MessagesView:TMessagesView
TWinControl.DoUnDock FloatingSite_2 NewTarget=nil Client=MessagesView:TMessagesView
TFloatingSite undodock, allow True
release FloatingSite_2
TWinControl.DoUnDockClientMsg FloatingSite_2:TFloatingSite Client=MessagesView:TMessagesView Client.Parent=FloatingSite_2:TFloatingSite
TWinControl.DoRemoveDockClient FloatingSite_2:TFloatingSite MessagesView:TMessagesView
LAZARUS END - cleaning up ...
[TMainIDE.Destroy] A 
[TMainIDE.Destroy] B  -> inherited Destroy... TMainIDE
[TMainIDE.Destroy] END
destroying FloatingSite_2
destroying FloatingSite_1
destroying FloatingSite
0,r=1277,b=81
TIDEEasyDockMaster.ShowForm END MainIDE:TMainIDEBar l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TMainIDE.DoOpenProjectFile select form in designer: frmMain:TfrmMain TDesigner
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TMainIDE.DoFixupComponentReferences UNRESOLVED BEFORE loading 0 Root=frmNomenclature:TfrmNomenclature RefRoot=FrmMain Refs="DSNomenclature"
TMainIDE.DoLoadLFM Creating designer for hidden component of D:\AProjects\Lazarus\ss\main.pas
TMainIDE.DoOpenProjectFile select form in designer: FrmMain:TFrmMain TDesigner
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TApplication.HandleException Access violation
  Stack trace:
  $007F01D4  TSOURCENOTEBOOK__TABPOPUPMENUPOPUP,  line 5552 of sourceeditor.pp
  $005BB366  TPOPUPMENU__DOPOPUP,  line 43 of ./include/popupmenu.inc
  $005BB578  TPOPUPMENU__POPUP,  line 80 of ./include/popupmenu.inc
  $0059454B  TCONTROL__WMCONTEXTMENU,  line 2266 of ./include/control.inc
  $0058EF83  TWINCONTROL__WMCONTEXTMENU,  line 8135 of ./include/wincontrol.inc
  $0040C8C6
  $005882DE  TWINCONTROL__WNDPROC,  line 5289 of ./include/wincontrol.inc
  $005F65C5  DELIVERMESSAGE,  line 117 of lclmessageglue.pas
  $005486B2  WINDOWPROC,  line 2440 of ./win32/win32callback.inc
  $762462FA
  $76246D3A
  $762490C9
  $76246A8C
  $76246AE9
  $702D734C
  $762462FA
  $76246D3A
TCustomFormEditor.DeleteComponent Hiding: FrmMain:TFrmMain
TIDEEasyDockMaster.SaveDefaultLayout C:\Users\root\AppData\Local\lazarus\easydocklayout.lyt
TIDEEasyDockMaster.SaveDefaultLayout C:\Users\root\AppData\Local\lazarus\easydocklayout.lyt
TControl.ManualFloat SourceNotebook:TSourceNotebook
TWinControl.DoUnDock FloatingSite_1 NewTarget=nil Client=SourceNotebook:TSourceNotebook
TFloatingSite undodock, allow True
release FloatingSite_1
TWinControl.DoUnDockClientMsg FloatingSite_1:TFloatingSite Client=SourceNotebook:TSourceNotebook Client.Parent=FloatingSite_1:TFloatingSite
TWinControl.DoRemoveDockClient FloatingSite_1:TFloatingSite SourceNotebook:TSourceNotebook
TControl.ManualFloat ObjectInspectorDlg:TObjectInspectorDlg
TWinControl.DoUnDock FloatingSite NewTarget=nil Client=ObjectInspectorDlg:TObjectInspectorDlg
TFloatingSite undodock, allow True
release FloatingSite
TWinControl.DoUnDockClientMsg FloatingSite:TFloatingSite Client=ObjectInspectorDlg:TObjectInspectorDlg Client.Parent=FloatingSite:TFloatingSite
TWinControl.DoRemoveDockClient FloatingSite:TFloatingSite ObjectInspectorDlg:TObjectInspectorDlg
TControl.ManualFloat MessagesView:TMessagesView
TWinControl.DoUnDock FloatingSite_2 NewTarget=nil Client=MessagesView:TMessagesView
TFloatingSite undodock, allow True
release FloatingSite_2
TWinControl.DoUnDockClientMsg FloatingSite_2:TFloatingSite Client=MessagesView:TMessagesView Client.Parent=FloatingSite_2:TFloatingSite
TWinControl.DoRemoveDockClient FloatingSite_2:TFloatingSite MessagesView:TMessagesView
LAZARUS END - cleaning up ...
[TMainIDE.Destroy] A 
[TMainIDE.Destroy] B  -> inherited Destroy... TMainIDE
[TMainIDE.Destroy] END
destroying FloatingSite_2
destroying FloatingSite_1
destroying FloatingSite
TMainIDE.ParseCmdLineOptions:
  PrimaryConfigPath="C:\Users\root\AppData\Local\lazarus"
  SecondaryConfigPath="C:\lazarus"
TIDEEasyDockMaster.MakeIDEWindowDockSite BEFORE MainIDE:TMainIDEBar l=0,t=0,r=320,b=240
TIDEEasyDockMaster.MakeIDEWindowDockSite Creator MainIDE:TMainIDEBar l=0,t=0,r=1277,b=90
AddElastic BEFORE MainIDE l=0,t=0,r=1277,b=81
AddElastic added  MainIDE l=0,t=0,r=1277,b=81
AddElastic AFTER  MainIDE l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.MakeIDEWindowDockSite AFTER MainIDE:TMainIDEBar l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.LoadDefaultLayout C:\Users\root\AppData\Local\lazarus\easydocklayout.lyt exists=True
--- Reload site 
Bounds=x(76-372) y(112-783)
Extent=x(0-0) y(0-0)
reload  @1 [296,671]
reload ObjectInspectorDlg @2 [296,671]
TIDEEasyDockMaster.DockMasterRestore CtrlName="ObjectInspectorDlg"
TIDEEasyDockMaster.DockMasterRestore Result=ObjectInspectorDlg:TObjectInspectorDlg
TWinControl.DoDockClientMsg FloatingSite:TFloatingSite Control=ObjectInspectorDlg:TObjectInspectorDlg DestRect=l=292,t=175,r=567,b=844
?NewCtl w=286=296 h=671=671
!NewCtl w=286=296 h=671=671
reload done
--- Reload site 
Bounds=x(342-1280) y(255-926)
Extent=x(0-0) y(0-0)
reload  @1 [938,671]
reload SourceNotebook @2 [938,671]
TIDEEasyDockMaster.DockMasterRestore CtrlName="SourceNotebook"
TIDEEasyDockMaster.DockMasterRestore Result=SourceNotebook:TSourceNotebook
TWinControl.DoDockClientMsg FloatingSite_1:TFloatingSite Control=SourceNotebook:TSourceNotebook DestRect=l=533,t=374,r=933,b=674
?NewCtl w=928=938 h=671=671
!NewCtl w=928=938 h=671=671
reload done
--- Reload site 
Bounds=x(100-1185) y(872-972)
Extent=x(0-0) y(0-0)
reload  @1 [1085,100]
reload MessagesView @2 [1085,100]
TIDEEasyDockMaster.DockMasterRestore CtrlName="MessagesView"
TIDEEasyDockMaster.DockMasterRestore Result=MessagesView:TMessagesView
TWinControl.DoDockClientMsg FloatingSite_2:TFloatingSite Control=MessagesView:TMessagesView DestRect=l=284,t=640,r=1006,b=719
?NewCtl w=1075=1085 h=100=100
!NewCtl w=1075=1085 h=100=100
reload done
reload site done
TIDEEasyDockMaster.ShowForm MainIDE:TMainIDEBar BringToFront=False IsDockSite=True IsDockable=False
TIDEEasyDockMaster.ShowForm END Parent l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.ShowForm END MainIDE:TMainIDEBar l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TMainIDE.DoOpenProjectFile select form in designer: frmMain:TfrmMain TDesigner
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TMainIDE.DoOpenProjectFile select form in designer: frmMain:TfrmMain TDesigner
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TApplication.HandleException Access violation
  Stack trace:
  $00000028
  $005BB366  TPOPUPMENU__DOPOPUP,  line 43 of ./include/popupmenu.inc
  $005BB578  TPOPUPMENU__POPUP,  line 80 of ./include/popupmenu.inc
  $0059454B  TCONTROL__WMCONTEXTMENU,  line 2266 of ./include/control.inc
  $0058EF83  TWINCONTROL__WMCONTEXTMENU,  line 8135 of ./include/wincontrol.inc
  $0040C8C6
  $005882DE  TWINCONTROL__WNDPROC,  line 5289 of ./include/wincontrol.inc
  $005F65C5  DELIVERMESSAGE,  line 117 of lclmessageglue.pas
  $005486B2  WINDOWPROC,  line 2440 of ./win32/win32callback.inc
  $762462FA
  $76246D3A
  $762490C9
  $76246A8C
  $76246AE9
  $702D734C
  $762462FA
  $76246D3A
[TMainIDE.Destroy] A 
TWinControl.DoUnDockClientMsg FloatingSite_2:TFloatingSite Client=MessagesView:TMessagesView Client.Parent=FloatingSite_2:TFloatingSite
TWinControl.DoRemoveDockClient FloatingSite_2:TFloatingSite MessagesView:TMessagesView
TWinControl.DoUnDockClientMsg FloatingSite:TFloatingSite Client=ObjectInspectorDlg:TObjectInspectorDlg Client.Parent=FloatingSite:TFloatingSite
TWinControl.DoRemoveDockClient FloatingSite:TFloatingSite ObjectInspectorDlg:TObjectInspectorDlg
WARNING: TLCLComponent.Destroy with LCLRefCount>0. Hint: Maybe the component is processing an event?
TWinControl.DoUnDockClientMsg FloatingSite_1:TFloatingSite Client=SourceNotebook:TSourceNotebook Client.Parent=FloatingSite_1:TFloatingSite
TWinControl.DoRemoveDockClient FloatingSite_1:TFloatingSite SourceNotebook:TSourceNotebook
[TMainIDE.Destroy] B  -> inherited Destroy... TMainIDE
[TMainIDE.Destroy] END
destroying FloatingSite_2
destroying FloatingSite_1
destroying FloatingSite
TMainIDE.ParseCmdLineOptions:
  PrimaryConfigPath="C:\Users\root\AppData\Local\lazarus"
  SecondaryConfigPath="C:\lazarus"
TIDEEasyDockMaster.MakeIDEWindowDockSite BEFORE MainIDE:TMainIDEBar l=0,t=0,r=320,b=240
TIDEEasyDockMaster.MakeIDEWindowDockSite Creator MainIDE:TMainIDEBar l=0,t=0,r=1277,b=90
AddElastic BEFORE MainIDE l=0,t=0,r=1277,b=81
AddElastic added  MainIDE l=0,t=0,r=1277,b=81
AddElastic AFTER  MainIDE l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.MakeIDEWindowDockSite AFTER MainIDE:TMainIDEBar l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.LoadDefaultLayout C:\Users\root\AppData\Local\lazarus\easydocklayout.lyt exists=True
--- Reload site 
Bounds=x(76-372) y(112-783)
Extent=x(0-0) y(0-0)
reload  @1 [296,671]
reload ObjectInspectorDlg @2 [296,671]
TIDEEasyDockMaster.DockMasterRestore CtrlName="ObjectInspectorDlg"
TIDEEasyDockMaster.DockMasterRestore Result=ObjectInspectorDlg:TObjectInspectorDlg
TWinControl.DoDockClientMsg FloatingSite:TFloatingSite Control=ObjectInspectorDlg:TObjectInspectorDlg DestRect=l=292,t=175,r=567,b=844
?NewCtl w=286=296 h=671=671
!NewCtl w=286=296 h=671=671
reload done
--- Reload site 
Bounds=x(342-1280) y(255-926)
Extent=x(0-0) y(0-0)
reload  @1 [938,671]
reload SourceNotebook @2 [938,671]
TIDEEasyDockMaster.DockMasterRestore CtrlName="SourceNotebook"
TIDEEasyDockMaster.DockMasterRestore Result=SourceNotebook:TSourceNotebook
TWinControl.DoDockClientMsg FloatingSite_1:TFloatingSite Control=SourceNotebook:TSourceNotebook DestRect=l=533,t=374,r=933,b=674
?NewCtl w=928=938 h=671=671
!NewCtl w=928=938 h=671=671
reload done
--- Reload site 
Bounds=x(100-1185) y(872-972)
Extent=x(0-0) y(0-0)
reload  @1 [1085,100]
reload MessagesView @2 [1085,100]
TIDEEasyDockMaster.DockMasterRestore CtrlName="MessagesView"
TIDEEasyDockMaster.DockMasterRestore Result=MessagesView:TMessagesView
TWinControl.DoDockClientMsg FloatingSite_2:TFloatingSite Control=MessagesView:TMessagesView DestRect=l=284,t=640,r=1006,b=719
?NewCtl w=1075=1085 h=100=100
!NewCtl w=1075=1085 h=100=100
reload done
reload site done
TIDEEasyDockMaster.ShowForm MainIDE:TMainIDEBar BringToFront=False IsDockSite=True IsDockable=False
TIDEEasyDockMaster.ShowForm END Parent l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.ShowForm END MainIDE:TMainIDEBar l=0,t=0,r=1277,b=81
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TMainIDE.DoOpenProjectFile select form in designer: frmMain:TfrmMain TDesigner
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm MessagesView:TMessagesView BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEOptionsDialog.CategoryTreeChange: Selected Node=Project Options
TIDEOptionsDialog.CategoryTreeChange: Editor=ProjectApplicationOptionsFrame
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=False IsDockSite=False IsDockable=True
TMainIDE.DoOpenProjectFile select form in designer: frmMain:TfrmMain TDesigner
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TApplication.HandleException Access violation
  Stack trace:
  $00000000
  $005BB366  TPOPUPMENU__DOPOPUP,  line 43 of ./include/popupmenu.inc
  $005BB578  TPOPUPMENU__POPUP,  line 80 of ./include/popupmenu.inc
  $0059454B  TCONTROL__WMCONTEXTMENU,  line 2266 of ./include/control.inc
  $0058EF83  TWINCONTROL__WMCONTEXTMENU,  line 8135 of ./include/wincontrol.inc
  $0040C8C6
  $005882DE  TWINCONTROL__WNDPROC,  line 5289 of ./include/wincontrol.inc
  $005F65C5  DELIVERMESSAGE,  line 117 of lclmessageglue.pas
  $005486B2  WINDOWPROC,  line 2440 of ./win32/win32callback.inc
  $762462FA
  $76246D3A
  $762490C9
  $76246A8C
  $76246AE9
  $702D734C
  $762462FA
  $76246D3A
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TIDEEasyDockMaster.ShowForm SourceNotebook:TSourceNotebook BringToFront=True IsDockSite=False IsDockable=True
TApplication.HandleException Access violation
  Stack trace:
  $00000000
  $005BB366
  $005BB578
  $0059454B
  $0058EF83
  $0040C8C6
  $005882DE
  $005F65C5
  $005486B2
  $762462FA
  $76246D3A
  $762490C9
  $76246A8C
  $76246AE9
  $702D734C
  $762462FA
  $76246D3A
TIDEEasyDockMaster.SaveDefaultLayout C:\Users\root\AppData\Local\lazarus\easydocklayout.lyt
TIDEEasyDockMaster.SaveDefaultLayout C:\Users\root\AppData\Local\lazarus\easydocklayout.lyt
TControl.ManualFloat SourceNotebook:TSourceNotebook
TWinControl.DoUnDock FloatingSite_1 NewTarget=nil Client=SourceNotebook:TSourceNotebook
TFloatingSite undodock, allow True
release FloatingSite_1
TWinControl.DoUnDockClientMsg FloatingSite_1:TFloatingSite Client=SourceNotebook:TSourceNotebook Client.Parent=FloatingSite_1:TFloatingSite
TWinControl.DoRemoveDockClient FloatingSite_1:TFloatingSite SourceNotebook:TSourceNotebook
TControl.ManualFloat ObjectInspectorDlg:TObjectInspectorDlg
TWinControl.DoUnDock FloatingSite NewTarget=nil Client=ObjectInspectorDlg:TObjectInspectorDlg
TFloatingSite undodock, allow True
release FloatingSite
TWinControl.DoUnDockClientMsg FloatingSite:TFloatingSite Client=ObjectInspectorDlg:TObjectInspectorDlg Client.Parent=FloatingSite:TFloatingSite
TWinControl.DoRemoveDockClient FloatingSite:TFloatingSite ObjectInspectorDlg:TObjectInspectorDlg
TControl.ManualFloat MessagesView:TMessagesView
TWinControl.DoUnDock FloatingSite_2 NewTarget=nil Client=MessagesView:TMessagesView
TFloatingSite undodock, allow True
release FloatingSite_2
TWinControl.DoUnDockClientMsg FloatingSite_2:TFloatingSite Client=MessagesView:TMessagesView Client.Parent=FloatingSite_2:TFloatingSite
TWinControl.DoRemoveDockClient FloatingSite_2:TFloatingSite MessagesView:TMessagesView
LAZARUS END - cleaning up ...
[TMainIDE.Destroy] A 
[TMainIDE.Destroy] B  -> inherited Destroy... TMainIDE
[TMainIDE.Destroy] END
destroying FloatingSite_2
destroying FloatingSite_1
destroying FloatingSite
log2.txt (35,942 bytes)   

Martin Friebe

2012-05-06 10:53

manager   ~0059297

Please test and close if ok

Ihor Lavrynyuk

2012-05-06 11:07

reporter   ~0059298

I tested, work fine.

Issue History

Date Modified Username Field Change
2012-05-04 18:40 Ihor Lavrynyuk New Issue
2012-05-04 18:40 Ihor Lavrynyuk Widgetset => Win32/Win64
2012-05-04 18:50 Ihor Lavrynyuk Note Added: 0059239
2012-05-04 20:42 Martin Friebe Note Added: 0059241
2012-05-05 06:22 Ihor Lavrynyuk Note Added: 0059244
2012-05-05 06:23 Ihor Lavrynyuk Tag Attached: access violation
2012-05-05 06:23 Ihor Lavrynyuk Tag Attached: source editor
2012-05-05 06:23 Ihor Lavrynyuk Tag Attached: 1.1
2012-05-05 09:54 Ihor Lavrynyuk File Added: log.txt
2012-05-05 09:56 Ihor Lavrynyuk Note Added: 0059251
2012-05-05 10:08 Ihor Lavrynyuk Note Added: 0059254
2012-05-05 10:09 Ihor Lavrynyuk File Added: log2.txt
2012-05-05 10:10 Ihor Lavrynyuk Note Edited: 0059254
2012-05-05 11:05 Ihor Lavrynyuk Note Edited: 0059254
2012-05-06 00:21 Martin Friebe Status new => assigned
2012-05-06 00:21 Martin Friebe Assigned To => Martin Friebe
2012-05-06 10:53 Martin Friebe Fixed in Revision => 37195
2012-05-06 10:53 Martin Friebe LazTarget => 1.0
2012-05-06 10:53 Martin Friebe Status assigned => resolved
2012-05-06 10:53 Martin Friebe Fixed in Version => 0.99.0
2012-05-06 10:53 Martin Friebe Resolution open => fixed
2012-05-06 10:53 Martin Friebe Note Added: 0059297
2012-05-06 10:54 Martin Friebe Target Version => 1.0.0
2012-05-06 11:07 Ihor Lavrynyuk Note Added: 0059298
2012-05-06 11:08 Ihor Lavrynyuk Status resolved => closed